# Uses of Interface
org.bukkit.inventory.meta.BookMeta

Packages that use BookMeta
Package
Description
org.bukkit.event.player
`Events` relating to `players`.
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.

## Uses of BookMeta in org.bukkit.event.player

Methods in org.bukkit.event.player that return BookMeta
Modifier and Type
Method
Description
`@NotNull BookMeta`
PlayerEditBookEvent.`getNewBookMeta()`
Gets the book meta that the player is attempting to add to the book.
`@NotNull BookMeta`
PlayerEditBookEvent.`getPreviousBookMeta()`
Gets the book meta currently on the book.
Methods in org.bukkit.event.player with parameters of type BookMeta
Modifier and Type
Method
Description
`void`
PlayerEditBookEvent.`setNewBookMeta(@NotNull BookMeta newBookMeta)`
Sets the book meta that will actually be added to the book.
Constructors in org.bukkit.event.player with parameters of type BookMeta
Modifier
Constructor
Description
``
`PlayerEditBookEvent(@NotNull Player who, int slot, @NotNull BookMeta previousBookMeta, @NotNull BookMeta newBookMeta, boolean isSigning)`

## Uses of BookMeta in org.bukkit.inventory.meta

Methods in org.bukkit.inventory.meta that return BookMeta
Modifier and Type
Method
Description
`@NotNull BookMeta`
BookMeta.`author(Component author)`
Sets the author of the book.
`@NotNull BookMeta`
BookMeta.BookMetaBuilder.`build()`
`@NotNull BookMeta`
BookMeta.`clone()`
`@NotNull BookMeta`
BookMeta.`title(Component title)`
Sets the title of the book.